Package org.apache.felix.framework.resolver

# Interface ResolverWire

public interface ResolverWire

## Method Summary

Modifier and Type
Method
Description
`BundleCapability`
`getCapability()`
Returns the associated capability from the exporting bundle revision that satisfies the requirement of the importing bundle revision.
`BundleRevision`
`getProvider()`
Returns the exporting bundle revision.
`BundleRequirement`
`getRequirement()`
Returns the associated requirement from the importing bundle revision that resulted in the creation of this wire.
`BundleRevision`
`getRequirer()`
Returns the importing bundle revision.

## Method Details

### getRequirer

BundleRevision getRequirer()
Returns the importing bundle revision.

Returns:
  The importing bundle revision.

### getRequirement

BundleRequirement getRequirement()
Returns the associated requirement from the importing bundle revision that resulted in the creation of this wire.

Returns:

### getProvider

BundleRevision getProvider()
Returns the exporting bundle revision.

Returns:
  The exporting bundle revision.

### getCapability

BundleCapability getCapability()
Returns the associated capability from the exporting bundle revision that satisfies the requirement of the importing bundle revision.

Returns: